SetMarksVisibleEvent = {};
SetMarksVisibleEvent_mt = Class(SetMarksVisibleEvent, Event);
InitEventClass(SetMarksVisibleEvent, "SetMarksVisibleEvent");

function SetMarksVisibleEvent:emptyNew()
    local self = Event:new(SetMarksVisibleEvent_mt);
    self.className="SetMarksVisibleEvent";
    return self;
end;

function SetMarksVisibleEvent:new(object)
    local self = SetMarksVisibleEvent:emptyNew(); 
	self.object = object; 
    return self;
end;

function SetMarksVisibleEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.object));
end;

function SetMarksVisibleEvent:readStream(streamId, connection)
    self.object = networkGetObject(streamReadInt32(streamId));
    self:run(connection);
end;

function SetMarksVisibleEvent:run(connection)
	self.object:setMarksVisible();
end;